Subject: Re: WARNING: Serious Pentium Bug
From: [email-masked] (Corey Minyard)

8 Nov 1997 10:43:11 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
To: [email-masked]

Anonymous <[email-masked]> writes:

> 
> There is a SERIOUS bug in all pentium CPUs. The following 
> code will crash any machine running on a pentium CPU, MMX or no 
> MMX, any speed, regardless of OS (crash as in instant seize, hard 
> reboot the only cure):
> 
> char x [5] = { 0xf0, 0x0f, 0xc7, 0xc8 };
> 
> main ()
> {
>        void (*f)() = x;
>        f();
> }
> 
> This require no special permissions to run, it works fine with
> average-joe-userspace permissions. I have verified this, it works.
> Demand a new CPU from Intel.
> 

I tested it on an Intel Pentium 166 MMX and on a Cyrix 686L 166.  It
did lock up the Pentium but the 686 correctly reported an illegal
instruction.  I tried it under Linux and NT, So it is not just a
Microsoft OS problem.  This does look pretty serious.

Demand a new CPU?  I'm not sure what Intel will do about this one.

Who is this and how long did you look for this?  Perhaps Cyrix
or AMD :-?  I think that finding this would be a pretty momentous
thing, I'm not sure I would go anonymous.

-- 
Corey Minyard               Internet:  [email-masked]
  Work: [email-masked]       UUCP:  [email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".